﻿Public Class frmStockOut

    Private Sub frmStockOut_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
       
        Call BTNNEW_Click(sender, e)

    End Sub
   
 

    Private Sub TXTQTY_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles TXTQTY.KeyPress
        Try

            If e.KeyChar <> ChrW(Keys.Back) Then
                e.Handled = True
                If e.KeyChar <> "." Then
                    If IsNumeric(e.KeyChar) Then
                        e.Handled = False '

                    End If

                ElseIf TXTQTY.Text.Contains(".") Then
                    MessageBox.Show("Only one decimal point allowed")
                Else
                    e.Handled = False
                End If
            End If

        Catch ex As Exception
            logs(ex.Message & " at TXTQTY_KeyPress")
            MsgBox(ex.Message & " at TXTQTY_KeyPress")
        End Try
    End Sub

    Private Sub TXTQTY_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TXTQTY.TextChanged

        If TXTQTY.Text = "" Then
            TXTTOT.Text = 0
            TXTREMAINQTY.Text = TXTAVAILQTY.Text
        Else
            TXTREMAINQTY.Text = Double.Parse(TXTAVAILQTY.Text) - Double.Parse(TXTQTY.Text)
            TXTTOT.Text = Double.Parse(TXTPRICE.Text) * Double.Parse(TXTQTY.Text)
        End If


    End Sub
    Private Sub BTNCLOSE_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BTNCLOSE.Click
        Me.Close()
    End Sub

    Private Sub BTNNEW_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BTNNEW.Click

        clear(GroupBox1)
        clear(GroupBox2)  
        LBLMSG.Text = ""
        LBLMSG.BackColor = Color.Transparent

        frmMaxMinSize(Me, 836, 522) 

        query = "SELECT  PROCODE  FROM   tblProductInfo"
        txtAutoComplete(query, txtPROCODE) 


        query = "SELECT TRANSNUM AS [Transaction#],P.PROCODE as [ProductCode], PRONAME AS [Product], CATEGORY AS [Category],DATEOUT AS  [TransactionDate],OUTQTY AS [Quantity],(OUTTOTPRICE & 'PHP') AS [Price]  FROM tblStockOut as O, tblProductInfo AS P  WHERE P.PROCODE=O.PROCODE "
        retrieve(query, DTGLIST)

        ' autonum
        txtAutoNumber(1, LBLTRANSNUM)
    End Sub

    Private Sub BTNADD_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BTNSAVE.Click
     


        If TXTDESC.Text <> "" And TXTQTY.Text <> "" Then


            Dim Rqty As Double = Double.Parse(TXTAVAILQTY.Text)
            Dim qty As Double = Double.Parse(TXTQTY.Text)


            If Rqty < qty Then
                'not valid
                LBLMSG.Text = "Not valid. The entered quantity is greater than the available quantity!"
                LBLMSG.BackColor = Color.Red
                LBLMSG.ForeColor = Color.White
                Beep()
            Else
                'ADD TO THE STOCKOUT TABLE
                fields = "TRANSNUM,PROCODE,DATEOUT,OUTQTY,OUTUNIT,OUTTOTPRICE"
                fvalue = LBLTRANSNUM.Text & "','" & txtPROCODE.Text & "','" & DTPTRANSDATE.Value & "','" & TXTQTY.Text & "','" & LBLUNIT.Text & "','" & TXTTOT.Text

                query = "INSERT INTO tblStockOut (" & fields & ") VALUES ('" & fvalue & "')"
                cudfunctionNOmsg(query)
                'END
                'MINUS THE QTY OF THE PRODUCT
                updateQuery = "UPDATE tblProductInfo SET PROQTY = PROQTY - " & TXTQTY.Text & "  WHERE PROCODE = '" & txtPROCODE.Text & "'"
                cudfunctionNOmsg(updateQuery)
                'END

                'SUCCESS MSG
                LBLMSG.Text = "The " & TXTPRODUCT.Text & " has been deducted into the inventory."
                LBLMSG.BackColor = Color.Aquamarine
                LBLMSG.ForeColor = Color.Black

                'update autonumber
                updateAutoNumber(1)

                Call BTNNEW_Click(sender, e)

              

            End If
        Else
            LBLMSG.Text = "Fill up the correct product in the empty fields inorder to save."
            LBLMSG.BackColor = Color.Red
            LBLMSG.ForeColor = Color.White
            Beep()
        End If
    End Sub
 

    Private Sub TXTSEARCH_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TXTSEARCH.TextChanged
        'SEARCHING
        query = " SELECT TRANSNUM AS [Transaction#],P.PROCODE as [ProductCode], PRONAME AS [Product], CATEGORY AS [Category],DATEOUT AS  [TransactionDate],OUTQTY AS [Quantity],(OUTTOTPRICE & 'PHP') AS [Price] " & _
        " FROM tblStockOut as O, tblProductInfo AS P  " & _
        " WHERE P.PROCODE=O.PROCODE  AND ( TRANSNUM & ' ' & PRONAME & ' ' & PRODESC & ' ' & CATEGORY & ' ' & OUTTOTPRICE & 'PHP ' & OUTQTY) LIKE '%" & TXTSEARCH.Text & "%'"
        retrieve(query, DTGLIST)
    End Sub

   
    Private Sub DTPFROM_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DTPTO.ValueChanged, DTPFROM.ValueChanged
        'SEARCHING USING DATE
        Dim dfrom As Date = DTPFROM.Text
        Dim dto As Date = DTPTO.Text


        query = " SELECT TRANSNUM AS [Transaction#],P.PROCODE as [ProductCode], PRONAME AS [Product], CATEGORY AS [Category],DATEOUT AS  [TransactionDate],OUTQTY AS [Quantity],(OUTTOTPRICE & 'PHP') AS [Price] " & _
         " FROM tblStockOut as O, tblProductInfo AS P  " & _
         " WHERE P.PROCODE=O.PROCODE AND  DATEVALUE(DATEOUT) BETWEEN #" & dfrom & "# AND #" & dto & "#"
        retrieve(query, DTGLIST)
    End Sub

  
  
  
    Private Sub btnEdit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEdit.Click
        Try
            'EDIT THE TRANSACTION
            query = "SELECT * FROM tblStockOut as O, tblProductInfo AS P  " & _
                " WHERE P.PROID=O.PROID AND TRANSNUM=  " & DTGLIST.CurrentRow.Cells(2).Value
            retrieveSingleResult(query)
            'PASSING THE DATA TO ITS CURRESPONDING FIELDS
            With FRMTRANSEDIT
                
            End With
        Catch ex As Exception
            MsgBox("Please select a corresponding records.", MsgBoxStyle.Exclamation)
        End Try
      
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Me.Close()
    End Sub 
    Private Sub txtPROCODE_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtPROCODE.TextChanged
        Try
            query = "SELECT * FROM tblProductInfo WHERE PROCODE ='" & txtPROCODE.Text & "'"
            retrieveSingleResult(query)

            If dt.Rows.Count > 0 Then
                With dt.Rows(0)
                    TXTPRODUCT.Text = .Item("PRONAME")
                    TXTDESC.Text = .Item("PRODESC") & " [" & .Item("CATEGORY") & "]"
                    TXTPRICE.Text = .Item("PROPRICE")
                    TXTAVAILQTY.Text = .Item("PROQTY")
                End With
            Else
                TXTPRODUCT.Clear()
                TXTDESC.Clear()
                TXTPRICE.Clear()
                TXTQTY.Clear()
                TXTTOT.Clear()
            End If
        Catch ex As Exception

        End Try
    End Sub

    Private Sub btnRefresh_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRefresh.Click
        Call BTNNEW_Click(sender, e)
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        ShowForm(Me, frmPopupStockout)
    End Sub

    Private Sub btnDelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        Try
            updateQuery = "UPDATE tblProductInfo AS P, tblStockOut AS S SET PROQTY = PROQTY + OUTTOTPRICE  WHERE P.PROCODE=S.PROCODE AND TRANSNUM = " & DTGLIST.CurrentRow.Cells(1).Value
            cudfunctionNOmsg(updateQuery)

            query = "DELETE * FROM tblStockOut WHERE TRANSNUM = " & DTGLIST.CurrentRow.Cells(1).Value
            cudfunctionNOmsg(query) 
            MsgBox("Transaction has been deleted.")
            Call BTNNEW_Click(sender, e)
        Catch ex As Exception
            MsgBox("Please select a corresponding records.", MsgBoxStyle.Exclamation)
        End Try

    End Sub
End Class