﻿Public Class FRMSTOREITEM

    Private Sub FRMIN_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Call BTNNEW_Click(sender, e)

      
    End Sub
 
    
    Private Sub TXTQTY_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles TXTQTY.KeyPress
        Try

            If e.KeyChar <> ChrW(Keys.Back) Then
                e.Handled = True
                If e.KeyChar <> "." Then
                    If IsNumeric(e.KeyChar) Then
                        e.Handled = False '

                    End If

                ElseIf TXTQTY.Text.Contains(".") Then
                    MessageBox.Show("Only one decimal point allowed")
                Else
                    e.Handled = False
                End If
            End If

        Catch ex As Exception
            logs(ex.Message & " at TXTQTY_KeyPress")
            MsgBox(ex.Message & " at TXTQTY_KeyPress")
        End Try
    End Sub

    Private Sub TXTQTY_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TXTQTY.TextChanged
        Try
            If TXTQTY.Text = "" Then
                TXTTOT.Text = 0
            Else
                TXTTOT.Text = Double.Parse(TXTPRICE.Text) * Double.Parse(TXTQTY.Text)
            End If
        Catch ex As Exception

        End Try



    End Sub

   
    Private Sub BTNCLOSE_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BTNCLOSE.Click
        Me.Close()
    End Sub

    Private Sub BTNNEW_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BTNNEW.Click
        clear(GroupBox1)
        clear(GroupBox3) 
        CBOUNIT.Text = ""
        LBLMSG.Text = ""
        LBLUNIT.Text = ""
        LBLMSG.BackColor = Color.Transparent
        ' autonum
        txtAutoNumber(1, LBLTRANSNUM)

        query = "SELECT TRANSNUM AS [Transaction#], P.PROCODE as [ProductCode],PRONAME AS [Product],(' Price: ' & PROPRICE & 'PHP '  & ' ' & PRODESC & '[' & CATEGORY & ']') AS [Description],DATERECEIVED AS [TransactionDate],RECEIVEDQTY AS [Quantity], RECEIVEDTOTPRICE AS [TotalPrice]  FROM tblStockIn as S, tblProductInfo AS P WHERE S.PROCODE=P.PROCODE"
        retrieve(query, DTGLIST) 


        frmMaxMinSize(Me, 839, 542)

        txtAutoComplete("SELECT PROCODE FROM tblProductInfo", txtPROCODE)

    End Sub

    Private Sub BTNADD_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BTNADD.Click
        If TXTDESC.Text <> "" And TXTQTY.Text <> "" Then

            'STOCK IN PROCESS
            fields = "TRANSNUM,PROCODE,DATERECEIVED,RECEIVEDQTY,RECEIVEDUNIT,RECEIVEDTOTPRICE"
            fvalue = LBLTRANSNUM.Text & "','" & txtPROCODE.Text & " ','" & DTPTRANSDATE.Value & "','" & TXTQTY.Text & "','" & CBOUNIT.Text & "','" & TXTTOT.Text

            query = "INSERT INTO tblStockIn (" & fields & ") VALUES ('" & fvalue & "')"
            cudfunctionNOmsg(query)
            ''END
            'ADDING THE QTY OF THE STOCK
            updateQuery = "UPDATE tblProductInfo SET PROQTY = PROQTY + '" & TXTQTY.Text & "'  WHERE PROCODE = '" & txtPROCODE.Text & "'"
            cudfunctionNOmsg(updateQuery)
            'END

            'SUCCESS MSH
            LBLMSG.Text = "The " & TXTPRODUCT.Text & " has been added into the inventory."
            LBLMSG.BackColor = Color.Aquamarine
            LBLMSG.ForeColor = Color.Black


            'update autonumber
            updateAutoNumber(1)

            Call BTNNEW_Click(sender, e)
          

       
        Else
            LBLMSG.Text = "Fill up the correct product in the empty fields inorder to save."
            LBLMSG.BackColor = Color.Red
            LBLMSG.ForeColor = Color.White
            Beep()
        End If
    End Sub

    
    Private Sub TXTSEARCH_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TXTSEARCH.TextChanged
        If TXTSEARCH.Text = "" Then
            query = "SELECT TRANSNUM AS [Transaction#], P.PROCODE as [ProductCode], PRONAME  AS [Product],(PRODESC & ' [' & CATEGORY & ']') AS [Description],PROPRICE as [Price],DATERECEIVED AS [TransactionDate],RECEIVEDQTY AS [Quantity], RECEIVEDTOTPRICE AS [TotalPrice]  FROM tblStockIn as S, tblProductInfo AS P  WHERE S.PROCODE=P.PROCODE AND " & _
            " (TRANSNUM  & ' '  & P.PROCODE  & ' '  &  PRONAME & ' '  & PRODESC & ' '  & CATEGORY  & ' ' & PROPRICE & ' '  & RECEIVEDQTY & ' '  &  RECEIVEDTOTPRICE) LIKE '%" & TXTSEARCH.Text & "%'"
            retrieve(query, DTGLIST)
        Else
            Dim dfrom As Date = DTPFROM.Text
            Dim dto As Date = DTPTO.Text

            query = "SELECT TRANSNUM AS [Transaction#], P.PROCODE as [ProductCode], PRONAME  AS [Product],(PRODESC & ' [' & CATEGORY & ']') AS [Description],PROPRICE as [Price],DATERECEIVED AS [TransactionDate],RECEIVEDQTY AS [Quantity], RECEIVEDTOTPRICE AS [TotalPrice]  FROM tblStockIn as S, tblProductInfo AS P  WHERE S.PROCODE=P.PROCODE AND " & _
          "  DATEVALUE(DATERECEIVED) BETWEEN #" & dfrom & "# AND #" & dto & "# AND (TRANSNUM & ' '  & P.PROCODE   & ' '  & PRONAME & ' '  & PRODESC & ' '  & CATEGORY  & ' ' & PROPRICE & ' '  & RECEIVEDQTY & ' '  &  RECEIVEDTOTPRICE) LIKE '%" & TXTSEARCH.Text & "%'"
            retrieve(query, DTGLIST)
        End If
      

        
    End Sub

    Private Sub DTPFROM_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DTPTO.ValueChanged, DTPFROM.ValueChanged
        Dim dfrom As Date = DTPFROM.Text
        Dim dto As Date = DTPTO.Text

        query = "SELECT TRANSNUM AS [Transaction#], P.PROCODE as [ProductCode], PRONAME  AS [Product],(PRODESC & ' [' & CATEGORY & ']') AS [Description],PROPRICE as [Price],DATERECEIVED AS [TransactionDate],RECEIVEDQTY AS [Quantity], RECEIVEDTOTPRICE AS [TotalPrice]  FROM tblStockIn as S, tblProductInfo AS P  WHERE S.PROCODE=P.PROCODE AND " & _
      "  DATEVALUE(DATERECEIVED) BETWEEN #" & dfrom & "# AND #" & dto & "# AND (TRANSNUM  & ' '  & P.PROCODE  & ' '  & PRONAME & ' '  & PRODESC & ' '  & CATEGORY  & ' '  &  PROPRICE & ' '  & RECEIVEDQTY  & ' '  &  RECEIVEDTOTPRICE) LIKE '%" & TXTSEARCH.Text & "%'"
        retrieve(query, DTGLIST)
    End Sub

    Private Sub btnEdit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEdit.Click
        Try
            'EDIT A SPECIFIC TRANSACTION
            query = "SELECT TRANSNUM, PRONAME ,( PRODESC & ' [' & CATEGORY & ']'), RECEIVEDQTY, DATEVALUE(DATERECEIVED), RECEIVEDTOTPRICE, PROPRICE FROM tblStockIn AS S, tblProductInfo AS P  WHERE S.PROCODE=P.PROCODE AND TRANSNUM = " & DTGLIST.CurrentRow.Cells(1).Value
            retrieveSingleResult(query)
            'CHECKING IF THE DATA IS EXIST
            If dt.Rows.Count > 0 Then
                'RESULT:
                'PASSING THE DATA TO ITS CURRESPONDING FIELDS
                With FRMTRANSEDIT
                    .StartPosition = FormStartPosition.CenterScreen
                    .Show()
                    .Focus()
                    .MaximizeBox = False
                    .TXTTRANSNUM.Text = dt.Rows(0).Item(0)
                    .TXTPRODUCT.Text = dt.Rows(0).Item(1)
                    .TXTDESC.Text = dt.Rows(0).Item(2)
                    .TXTQTY.Text = dt.Rows(0).Item(3)
                    .DateTimePicker1.Text = dt.Rows(0).Item(4)  
                    .LBLPRICE.Text = dt.Rows(0).Item(5) 
                    .LBLPPRICE.Text = dt.Rows(0).Item(6)
                    .txtPrice.Text = dt.Rows(0).Item(6)
                    .LBLPPRICE.Visible = False
                    .Text = "STOCK-IN"
                End With


            Else
                'REFRESHING AND CLEARING 
                Call BTNNEW_Click(sender, e) 

            End If
        Catch ex As Exception
            MsgBox("Please select a corresponding records.", MsgBoxStyle.Exclamation)
        End Try
       

    End Sub 
    Private Sub EDITToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EDITToolStripMenuItem.Click
        With FRMTRANSEDIT
            .Show()
            .Focus()
            .Text = DTGLIST.CurrentRow.Cells(0).Value
        End With
    End Sub

    Private Sub btnDelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        Try
            updateQuery = "UPDATE tblProductInfo AS P, tblStockIn AS S SET PROQTY = PROQTY - RECEIVEDQTY  WHERE P.PROCODE=S.PROCODE AND TRANSNUM = " & DTGLIST.CurrentRow.Cells(1).Value
            cudfunctionNOmsg(updateQuery)

            query = "DELETE * FROM tblStockIn WHERE TRANSNUM = " & DTGLIST.CurrentRow.Cells(1).Value
            cudfunctionNOmsg(query)

            Call BTNADD_Click(sender, e)
            MsgBox("Transaction has been deleted.")
        Catch ex As Exception
            MsgBox("Please select a corresponding records.", MsgBoxStyle.Exclamation)
        End Try 
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Me.Close()
    End Sub 
    
    Private Sub txtPROCODE_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtPROCODE.TextChanged
        Try
            query = "SELECT * FROM tblProductInfo WHERE PROCODE ='" & txtPROCODE.Text & "'"
            retrieveSingleResult(query)

            If dt.Rows.Count > 0 Then
                With dt.Rows(0)
                    TXTPRODUCT.Text = .Item("PRONAME")
                    TXTDESC.Text = .Item("PRODESC") & " [" & .Item("CATEGORY") & "]"
                    TXTPRICE.Text = .Item("PROPRICE")
                End With
            Else
                TXTPRODUCT.Clear()
                TXTDESC.Clear()
                TXTPRICE.Clear()
                TXTQTY.Clear()
                TXTTOT.Clear()
            End If
        Catch ex As Exception

        End Try
    End Sub

    Private Sub btnRefresh_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRefresh.Click
        Call BTNNEW_Click(sender, e)
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        ShowForm(Me, frmPopupStockin)
    End Sub
End Class