﻿Public Class FRMTRANSEDIT

    Private Sub TXTQTY_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles TXTQTY.KeyPress
        Try

            If e.KeyChar <> ChrW(Keys.Back) Then
                e.Handled = True
                If e.KeyChar <> "." Then
                    If IsNumeric(e.KeyChar) Then
                        e.Handled = False '

                    End If

                ElseIf TXTQTY.Text.Contains(".") Then
                    MessageBox.Show("Only one decimal point allowed")
                Else
                    e.Handled = False
                End If
            End If

        Catch ex As Exception
            logs(ex.Message & " at TXTQTY_KeyPress")
            MsgBox(ex.Message & " at TXTQTY_KeyPress")
        End Try
    End Sub


    Private Sub TXTQTY_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TXTQTY.TextChanged
        Try
            If TXTQTY.Text = "" Then
                LBLPRICE.Text = 0

            Else
                 
                LBLPRICE.Text = Double.Parse(LBLPPRICE.Text) * TXTQTY.Text
            End If

        Catch ex As Exception

        End Try
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

      
        'CHECKING IF HAS AN INPUT QUANTITY
        If TXTQTY.Text <> "" And Val(LBLPRICE.Text) > 0 Then

            Select Case Me.Text
                Case "STOCK-IN"
                    '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
                    'STOCK IN TABLE
                    'THIS RETRIEVE QUERY IS USED TO CHECK IF THE TRANSACTION NUMBER HAS ALREADY EXIST,
                    ' IF EXIST, UPDATE THE TRANSACTION TABLE AND ADD A QUANTITY TO THE STOCKS
                    checkQuery = "SELECT RECEIVEDQTY FROM tblStockIn WHERE TRANSNUM=" & TXTTRANSNUM.Text
                    retrieveSingleResult(checkQuery)
                    If dt.Rows.Count > 0 Then 'THIS PROCESS IS TO UPDATE THE STOCKIN TABLE
                        'RESULT:
                        'FIRST, YOU HAVE TO DECREASE THE QUANTITY OF THE STOCKS SO THAT IT WILL RETURN TO ITS ORIGINAL QUANTITY 
                        TRANSACTIONPROCESS("DEDUCT_QTY_PRODUCT", "tblStockIn", TXTTRANSNUM.Text, dt.Rows(0).Item(0))

                        'SECOND, ADD THE UPDATED QUANTITY OF THE STOCK TO CHANGE THE QTY OF THE STOCK
                        TRANSACTIONPROCESS("ADD_QTY_PRODUCT", "tblStockIn", TXTTRANSNUM.Text, TXTQTY.Text)
                        'THIRD, UPDATE THE TBLSTOCKIN
                        query = "UPDATE tblStockIn SET RECEIVEDQTY = " & TXTQTY.Text & ", DATERECEIVED='" & DateTimePicker1.Value & "',RECEIVEDTOTPRICE=" & LBLPRICE.Text & " WHERE TRANSNUM=" & TXTTRANSNUM.Text
                        cudfunctionNOmsg(query)
                        With LBLMSG
                            .Text = "Transaction has been updated."
                            .BackColor = Color.Cyan
                            .ForeColor = Color.Black
                        End With

                        'REFRESH THE DATA IN THE DATAGRIDVIEW
                        query = "SELECT TRANSNUM AS [Transaction#], P.PROCODE as [ProductCode],PRONAME AS [Product],(' Price: ' & PROPRICE & 'PHP '  & ' ' & PRODESC & '[' & CATEGORY & ']') AS [Description],DATERECEIVED AS [TransactionDate],RECEIVEDQTY AS [Quantity], RECEIVEDTOTPRICE AS [TotalPrice]  FROM tblStockIn as S, tblProductInfo AS P WHERE S.PROCODE=P.PROCODE"
                        retrieve(query, FRMSTOREITEM.DTGLIST)
                    End If 'END PROCESS
                Case "STOCK-OUT"
                    '''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
                    'STOCK OUT TABLE
                    'THIS RETRIEVE QUERY IS USED TO CHECK IF THE TRANSACTION NUMBER HAS ALREADY EXIST,
                    ' IF EXIST, UPDATE THE TRANSACTION TABLE AND ADD A QUANTITY TO THE STOCKS
                    checkQuery = "SELECT OUTQTY FROM tblStockOut WHERE TRANSNUM=" & TXTTRANSNUM.Text
                    retrieveSingleResult(checkQuery)
                    If dt.Rows.Count > 0 Then 'THIS PROCESS IS TO UPDATE THE STOCKOUT TABLE
                        'FIRST, ADD THE QUANTITY OF THE STOCK TO RETURN TO ITS ORIGINAL QUANTITY . BEFORE THE TRANSACTION(STOCK-OUT) IS PROCESSED
                        TRANSACTIONPROCESS("ADD_QTY_PRODUCT", "tblStockOut", TXTTRANSNUM.Text, dt.Rows(0).Item(0))

                        'SECOND, CHECK THE QUANTITY OF THE PRODUCT IF IS GREATER THAN THE QUANTITY THAT YOU HAVE INPUT.
                        query = "SELECT PROQTY,OUTQTY  FROM  tblProductInfo AS P, tblStockOut AS S WHERE P.PROID = S.PROID AND TRANSNUM =" & TXTTRANSNUM.Text
                        retrieveSingleResult(query)
                        If dt.Rows(0).Item(0) < Double.Parse(TXTQTY.Text) Then
                            'RESULT IS THE INPUT QTY IS GREATER THAN THE AVAILABLE QTY
                            '            'ERROR MSG
                            With LBLMSG
                                .Text = "The entered quantity is greater than the available quantity. The available is " & dt.Rows(0).Item(0)
                                .BackColor = Color.Red
                                .ForeColor = Color.White
                            End With
                            'UPDATING THE QTY OF THE PRODUCT TO RETURN TO IT ORIGINAL QTY. TRANSACTION(STOCK-OUT) IS PROCESSED
                            TRANSACTIONPROCESS("DEDUCT_QTY_PRODUCT", "tblStockOut", TXTTRANSNUM.Text, dt.Rows(0).Item(1))
                        Else
                            'RESULT:
                            'THE INPUT QTY IS LESS THAN THE ORIGNAL QTY
                            'DEDUCT THE QTY OF THE STOCK
                            TRANSACTIONPROCESS("DEDUCT_QTY_PRODUCT", "tblStockOut", TXTTRANSNUM.Text, TXTQTY.Text)
                            'UPDATE THE TBLSTOCK 
                            query = "UPDATE tblStockOut SET OUTQTY = " & TXTQTY.Text & ", DATEOUT='" & DateTimePicker1.Value & "',OUTTOTPRICE=" & LBLPRICE.Text & " WHERE TRANSNUM=" & TXTTRANSNUM.Text
                            cudfunctionNOmsg(query)
                            'SUCCESS MSG
                            With LBLMSG
                                .Text = "Transaction has been updated."
                                .BackColor = Color.Cyan
                                .ForeColor = Color.Black
                            End With
                        End If
                        query = "SELECT P.PROID, TRANSNUM AS [Transaction#],(PRONAME & ' ' & PRODESC) AS [Product], CATEGORIES AS [Category],DATEOUT AS  [TransactionDate],(OUTQTY & OUTUNIT) AS [Quantity],(OUTTOTPRICE & 'PHP') AS [Price]  FROM tblStockOut as O, tblProductInfo AS P, tblCategory AS C WHERE P.PROID=O.PROID AND P.CATEGPROID=C.CATEGPROID"
                        retrieve(query, frmStockOut.DTGLIST)
                    End If 'END PROCESS
                    ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

                Case "RETURN"

                    query = "SELECT RETURNEDQTY,RETURNEDREMARKS FROM tblReturnedPro WHERE RETURNEDPROID=" & LBLRETURNID.Text
                    retrieveSingleResult(query)
                    If dt.Rows.Count > 0 Then

                        '  MsgBox(dt.Rows(0).Item(0))
                        TRANSACTIONPROCESS("ADD_QTY_STOCKOUT", "tblStockOut", TXTTRANSNUM.Text, dt.Rows(0).Item(0))

                        TRANSACTIONPROCESS("DEDUCT_QTY_STOCKOUT", "tblStockOut", TXTTRANSNUM.Text, TXTQTY.Text)

                        Select Case dt.Rows(0).Item(1)
                            Case "EXCHANGE"
                                ' MsgBox(dt.Rows(0).Item(1))
                                TRANSACTIONPROCESS("DEDUCT_QTY_RETURN", "tblReturnedPro", LBLRETURNID.Text, dt.Rows(0).Item(0))

                                TRANSACTIONPROCESS("ADD_QTY_RETURN", "tblReturnedPro", LBLRETURNID.Text, TXTQTY.Text)

                        End Select

                        query = "UPDATE tblReturnedPro SET RETURNEDQTY=" & TXTQTY.Text & ",DATERETURNED='" & DateTimePicker1.Value & "' WHERE RETURNEDPROID=" & LBLRETURNID.Text
                        cudfunctionNOmsg(query)


                        With LBLMSG
                            .Text = "Transaction has been updated."
                            .BackColor = Color.Cyan
                            .ForeColor = Color.Black
                        End With

                     

                    End If


            End Select





        End If





        ''CHECKING IF HAS AN INPUT QUANTITY
        'If TXTQTY.Text <> "" And Val(LBLPRICE.Text) <> 0 Then

        '    'THIS RETRIEVE QUERY IS USED TO CHECK IF THE TRANSACTION NUMBER HAS ALREADY EXIST,
        '    ' IF EXIST, UPDATE THE TRANSACTION TABLE AND ADD A QUANTITY TO THE STOCKS
        '    checkQuery = "SELECT * FROM tblStockIn WHERE TRANSNUM=" & TXTTRANSNUM.Text
        '    retrieveSingleResult(checkQuery)

        '    If dt.Rows.Count > 0 Then

        '        'FIRST, YOU HAVE TO DECREASE THE QUANTITY OF THE STOCKS SO THAT IT WILL RETURN TO ORIGINAL QUANTITY 
        '        updateQuery = "UPDATE tblProductInfo AS P, tblStockIn AS S SET PROQTY = PROQTY - RECEIVEDQTY WHERE P.PROID = S.PROID AND TRANSNUM =" & TXTTRANSNUM.Text
        '        cudfunctionNOmsg(updateQuery)
        '        'SECOND, ADD THE UPDATED QUANTITY TO THE STOCKS
        '        updateQuery = "UPDATE tblProductInfo AS P, tblStockIn AS S SET PROQTY = PROQTY + " & TXTQTY.Text & " WHERE P.PROID = S.PROID AND TRANSNUM =" & TXTTRANSNUM.Text
        '        cudfunctionNOmsg(updateQuery)
        '        'THIRD, UPDATE THE TBLSTOCKIN
        '        query = "UPDATE tblStockIn SET RECEIVEDQTY = " & TXTQTY.Text & ", DATERECEIVED='" & DateTimePicker1.Value & "',RECEIVEDTOTPRICE=" & LBLPRICE.Text & " WHERE TRANSNUM=" & TXTTRANSNUM.Text
        '        cudfunctionNOmsg(query)
        '        'REFRESH THE DATA IN THE DATAGRIDVIEW
        '        query = "SELECT TRANSNUM AS [Transaction#], (PRONAME & ' ' & PRODESC) AS [Product],('Size: ' & PROSIZE & ' Net/Vol WT.: ' & PRONETWT & ' Price: ' & PROPRICE & ' ' & CATEGORIES) AS [Description],DATERECEIVED AS [TransactionDate],(RECEIVEDQTY & RECEIVEDUNIT) AS [Quantity], RECEIVEDTOTPRICE AS [TotalPrice]  FROM tblStockIn as S, tblProductInfo AS P, tblCategory AS C WHERE S.PROID=P.PROID AND P.CATEGPROID=C.CATEGPROID "
        '        retrieve(query, FRMSTOREITEM.DTGLIST)
        '        'SUCCESS MESSAGE
        '        With LBLMSG
        '            .Text = "Transaction has been updated."
        '            .BackColor = Color.Cyan
        '            .ForeColor = Color.Black
        '        End With

        '    Else
        '        'TRANSACTION NUMBER IS NOT EXIST
        '        'WE WILL UPDATE THE TBLSTOCKOUT AND MINUS THE QUANTITY OF THE STOCK

        '        'FIRST, ADD THE QUANTITY OF THE STOCK TO RETURN TO ITS ORIGINAL QUANTITY . BEFORE THE TRANSACTION(STOCK-OUT) IS PROCESSED
        '        updateQuery = "UPDATE tblProductInfo AS P, tblStockOut AS S SET PROQTY = PROQTY + OUTQTY WHERE P.PROID = S.PROID AND TRANSNUM =" & TXTTRANSNUM.Text
        '        cudfunctionNOmsg(updateQuery)

        '        'SECOND, CHECK THE QUANTITY OF THE PRODUCT IF IS GREATER THAN THE QUANTITY THAT YOU HAVE INPUT.
        '        query = "SELECT PROQTY  FROM  tblProductInfo AS P, tblStockOut AS S WHERE P.PROID = S.PROID AND TRANSNUM =" & TXTTRANSNUM.Text
        '        retrieveSingleResult(query)
        '        If dt.Rows(0).Item(0) < Val(TXTQTY.Text) Then
        '            'RESULT IS THE INPUT QTY IS GREATER THAN THE AVAILABLE QTY
        '            'ERROR MSG
        '            With LBLMSG
        '                .Text = "The entered quantity is greater than the available quantity. The available is " & dt.Rows(0).Item(0)
        '                .BackColor = Color.Red
        '                .ForeColor = Color.White
        '            End With
        '            'UPDATING THE QTY OF THE PRODUCT TO RETURN TO IT ORIGINAL QTY. TRANSACTION(STOCK-OUT) IS PROCESSED
        '            updateQuery = "UPDATE tblProductInfo AS P, tblStockOut AS S SET PROQTY = PROQTY - OUTQTY WHERE P.PROID = S.PROID AND TRANSNUM =" & TXTTRANSNUM.Text
        '            cudfunctionNOmsg(updateQuery)
        '        Else
        '            'RESULT: 
        '            'THE INPUT QTY IS LESS THAN THE ORIGNAL QTY
        '            'MINUS THE QTY OF THE STOCK
        '            updateQuery = "UPDATE tblProductInfo AS P, tblStockOut AS S SET PROQTY = PROQTY - " & TXTQTY.Text & " WHERE P.PROID = S.PROID AND TRANSNUM =" & TXTTRANSNUM.Text
        '            cudfunctionNOmsg(updateQuery)
        '            'UPDATE THE TBLSTOCK 
        '            query = "UPDATE tblStockOut SET OUTQTY = " & TXTQTY.Text & ", DATEOUT='" & DateTimePicker1.Value & "',OUTTOTPRICE=" & LBLPRICE.Text & " WHERE TRANSNUM=" & TXTTRANSNUM.Text
        '            cudfunctionNOmsg(query)
        '            'SUCCESS MSG
        '            With LBLMSG
        '                .Text = "Transaction has been updated."
        '                .BackColor = Color.Cyan
        '                .ForeColor = Color.Black
        '            End With
        '        End If


        '    End If



        'Else
        '    'ERROR MSG
        '    With LBLMSG
        '        .Text = "Put the correct quantity in order to saved."
        '        .BackColor = Color.Red
        '        .ForeColor = Color.White
        '    End With
        'End If




    End Sub

    Private Sub FRMTRANSEDIT_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Select Case Me.Text
            Case "STOCK-IN"
                FRMSTOREITEM.Focus()
            Case "STOCK-OUT"
                frmStockOut.Focus()
         
        End Select
    End Sub

    Private Sub FRMTRANSEDIT_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        LBLMSG.Text = ""
        frmMaxMinSize(Me, 714, 533)
        LBLUNIT.Visible = False
        LBLRETURNID.Visible = False
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Me.Close()
    End Sub

     
End Class